bvs_index Struct Reference

## Public Types

typedef std::vector< unsigned char > | buffer_type
typedef std::map< unsigned, buffer_type > | map_type

## Data Fields

map_type | idx_

## Detailed Description

Examples
  xsample01.cpp.

Definition at line 146 of file xsample01.cpp.

## Member Typedef Documentation

## buffer_type

typedef std::vector<unsigned char> bvs_index::buffer_type

Examples
  xsample01.cpp.

Definition at line 148 of file xsample01.cpp.

## map_type

typedef std::map<unsigned, buffer_type> bvs_index::map_type

Examples
  xsample01.cpp.

Definition at line 149 of file xsample01.cpp.

## Field Documentation

## idx_

map_type bvs_index::idx_

Examples
  xsample01.cpp.

Definition at line 151 of file xsample01.cpp.

Referenced by convert_bv2bvs(), and speed_test_bvs_index().

The documentation for this struct was generated from the following file:

- xsample01.cpp